#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	Bzip2
Summary:	Compress::Bzip2 - Perl interface to Bzip2 compression library
Summary(pl.UTF-8):	Compress::Bzip2 - interfejs perlowy do biblioteki kompresji Bzip2
Name:		perl-Compress-Bzip2
Version:	2.09
Release:	12
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1699fde3e86f2a036f135ae606d456bf
URL:		http://search.cpan.org/dist/Compress-Bzip2/
BuildRequires:	bzip2-devel >= 1.0.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Compress::Bzip2 module provides a Perl interface to the Bzip2
compression library. A relevant subset of the functionality provided
by Bzip2 is available in Compress::Bzip2.

%description -l pl.UTF-8
Moduł Compress::Bzip2 udostępnia interfejs perlowy do biblioteki
kompresji Bzip2. Compress::Bzip2 udostępnia związany z tym podzbiór
zbioru funkcji udostępnianych przez Bzip2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%{perl_vendorarch}/Compress/Bzip2.pm
%dir %{perl_vendorarch}/auto/Compress/Bzip2
%{perl_vendorarch}/auto/Compress/Bzip2/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Bzip2/Bzip2.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Compress-Bzip2.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d3a3c89
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8f4412e
- release 11 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8fc3d95
- x32 rebuild
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8294102
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9095af7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1438f2a
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b9a2d4b
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 7cd4026
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 48d5339
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b1fcb1c
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 402d70f
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 91739b1
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b7b4fe0
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 7fbcb9f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5bf0a89
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc7a5fc
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> fa1170a
- cleanup, enabled tests (SOA#1)

* Thu Aug 17 2006 migo <migo@pld-linux.org> 925d1d4
- up to 2.09

* Wed Dec 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 4c3b089
- fixed bcond desc

* Sat Dec 11 2004 ankry <ankry@pld-linux.org> 0159327
- rel. 2

